/******************************************************************************\
*  Animeshell 1.0 Multimedia manager                                           *
*  Copyright (C) 2006-2007 Rémy Guillemette <shaikadzari@gmail.com>            *
*                                                                              *
*  This program is free software; you can redistribute it and/or modify        *
*  it under the terms of the GNU General Public License version 2 only as      *
*  published by the Free Software Foundation.                                  *
*                                                                              *
*  This program is distributed in the hope that it will be useful,             *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of              *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
*  GNU General Public License for more details.                                *
*                                                                              *
*  You should have received a copy of the GNU General Public License           *
*  along with this program; if not, write to the                               *
*  Free Software Foundation, Inc.,                                             *
*  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.                   *
\******************************************************************************/

#include "animeclass.h"
//


animeclass::animeclass(  ) 
{}

/*********************************/
/* Animeclass Accessor Functions */
/*********************************/
int animeclass::getNoSeq()
{
	return m_NoSeq;
}
void animeclass::setNoSeq(int pNoSeq)
{
	if ( pNoSeq > 0 )
		m_NoSeq = pNoSeq;
}

QString animeclass::getName()
{
	return m_Name;
}

void animeclass::setName(QString pName)
{
	if ( !pName.isNull() )
		m_Name = pName;
}

int animeclass::getIndice()
{
	return m_NoInd;
}

void animeclass::setIndice(int pInd)
{
	if ( pInd >= 0 )
		m_NoInd = pInd;
}

int animeclass::getTypeData()
{
	return m_TypeData;
}
void animeclass::setTypeData(int pTyp)
{
	m_TypeData = pTyp;
}

int animeclass::getGenreData1()
{
	return m_GenreData1;
}
void animeclass::setGenreData1(int pG1)
{
	m_GenreData1 = pG1;
}

int animeclass::getGenreData2()
{
	return m_GenreData2;
}
void animeclass::setGenreData2(int pG2)
{
	m_GenreData2 = pG2;
}
int animeclass::getTypeSupport()
{
	return m_TypeSupport;
}
void animeclass::setTypeSupport(int pTySup)
{
	m_TypeSupport = pTySup;
}

int animeclass::getQuotation()
{
	return m_Quotation;
}
void animeclass::setQuotation(int pQuo)
{
	if ( pQuo > 0 && pQuo < 6 )
		m_Quotation = pQuo;
}

QString animeclass::getDescription()
{
	return m_Description;
}
void animeclass::setDescription(QString pDesc)
{
	if ( !pDesc.isNull() )
		m_Description = pDesc;
}

QString animeclass::getReference()
{
	return m_Reference;
}
void animeclass::setReference(QString pRef)
{
	if ( !pRef.isNull() )
		m_Reference = pRef;
}

QString animeclass::getImageFile()
{
	return m_ImageFile;
}
void animeclass::setImageFile(QString pImg)
{
	if ( !pImg.isNull() )
		m_ImageFile = pImg;
}
//
